
Redmine - Defect #17632

Users can't see private notes created by themselves if "Mark notes as private" is set but "View

private notes" is not

2014-08-08 08:38 - Michael Heinze

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed Affected version: 2.5.2

Description

If you configure the role permission as follows:

[x] Mark notes as private

[ ] View private notes

the users in this role can create private notes, but after creation they can't see them any more (see attachment).

Ok, I must admit that this is not really a bug because it exactly matches the configured settings, but in my opinion users should

always be allowed to see their own (private) notes, regardless of the "View private notes" permission.

Related issues:

Related to Redmine - Defect #17057: Private Notes Closed

Associated revisions

Revision 16180 - 2017-01-14 10:34 - Jean-Philippe Lang

Moves journals selection to Issue#visible_journals_with_index (#17632).

Revision 16181 - 2017-01-14 10:50 - Jean-Philippe Lang

Let user always see his private notes (#17632).

History

#1 - 2015-01-04 19:27 - Florian Kaiser

+1

IMHO a user should always have access to all content he produces - it is realy weird if you write a note, click submit and nothing happens.

#2 - 2016-09-01 14:42 - Anonymous

This clearly must be a defect. Why should a developer not be allowed to view his own technical private comments?? With the current configuration

options, the whole private notes functionality cannot be used to allow developers to add their own details to an issue that need not concern their

colleagues.

#3 - 2016-09-05 08:06 - Toshi MARUYAMA

- Related to Defect #17057: Private Notes added

#4 - 2016-09-05 08:07 - Toshi MARUYAMA

- Category set to Issues

#5 - 2017-01-13 12:36 - Peter Puff

+1

#6 - 2017-01-14 10:53 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0
- Resolution set to Fixed

Fixed in r16181.
